Package org.eclipse.ui.views

# Interface IViewCategory

public interface IViewCategory
Represents a categorization of views.

This interface is not intended to be implemented by clients.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
Return the id of this category.
`String`
`getLabel()`
Return the human readable name of this view category.
`IPath`
`getPath()`
Return this categories path.
`IViewDescriptor[]`
`getViews()`
Return the views contained within this category.

## Method Details

### getViews

IViewDescriptor[] getViews()
Return the views contained within this category. Never `null`, but may be empty.

Returns:
  the views contained within this category

### getId

String getId()
Return the id of this category. Never `null`.

Returns:
  the id

### getLabel

String getLabel()
Return the human readable name of this view category. Never `null`.

Returns:
  the label

### getPath

IPath getPath()
Return this categories path. The segments of this path will correspond to category ids.

Returns:
  the path